curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.tiktok.com/tag/cooking"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h¬ify=false&include_errors=true&type=discover_new&discover_by=url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lu702nij2f790tmv9h",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"url": "https://www.tiktok.com/tag/cooking"}],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lu702nij2f790tmv9h",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ url: "https://www.tiktok.com/tag/cooking" }],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"post_id": "7480000000000000000",
"description": "5-minute meal prep ideas #cooking #mealprep",
"create_time": "2025-03-05T12:00:00.000Z",
"share_count": 8700,
"collect_count": 15000,
"comment_count": 2300,
"play_count": 9800000,
"video_duration": 55,
"hashtags": [
"#cooking",
"#mealprep"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "quickmeals",
"profile_url": "https://www.tiktok.com/@quickmeals",
"is_verified": false
}
]
TikTok
Discover TikTok posts by URL
Use the Bright Data Scraper API to discover TikTok posts by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.tiktok.com/tag/cooking"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h¬ify=false&include_errors=true&type=discover_new&discover_by=url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lu702nij2f790tmv9h",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"url": "https://www.tiktok.com/tag/cooking"}],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lu702nij2f790tmv9h",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ url: "https://www.tiktok.com/tag/cooking" }],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"post_id": "7480000000000000000",
"description": "5-minute meal prep ideas #cooking #mealprep",
"create_time": "2025-03-05T12:00:00.000Z",
"share_count": 8700,
"collect_count": 15000,
"comment_count": 2300,
"play_count": 9800000,
"video_duration": 55,
"hashtags": [
"#cooking",
"#mealprep"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "quickmeals",
"profile_url": "https://www.tiktok.com/@quickmeals",
"is_verified": false
}
]
Query Parameters
string
default:"gd_lu702nij2f790tmv9h"
required
The dataset ID used for this request.
Must be set to
gd_lu702nij2f790tmv9h to collect Discover by URL data.string
default:"discover_new"
Must be set to
discover_new.string
default:"url"
Must be set to
url.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.tiktok.com/tag/cooking"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h¬ify=false&include_errors=true&type=discover_new&discover_by=url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lu702nij2f790tmv9h",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"url": "https://www.tiktok.com/tag/cooking"}],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lu702nij2f790tmv9h",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ url: "https://www.tiktok.com/tag/cooking" }],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"post_id": "7480000000000000000",
"description": "5-minute meal prep ideas #cooking #mealprep",
"create_time": "2025-03-05T12:00:00.000Z",
"share_count": 8700,
"collect_count": 15000,
"comment_count": 2300,
"play_count": 9800000,
"video_duration": 55,
"hashtags": [
"#cooking",
"#mealprep"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "quickmeals",
"profile_url": "https://www.tiktok.com/@quickmeals",
"is_verified": false
}
]
Was this page helpful?